package http

import (
	cnsmh "git.loafle.net/commons/service_matcher-go/http"
	ocmsc "git.loafle.net/overflow/commons-go/model/sensorconfig"
	"git.loafle.net/overflow/container_network/crawler/health"
	crawler "git.loafle.net/overflow/crawler-go"
)

type HTTPHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *HTTPHealthCrawler) Key() string {
	return "HTTP_HEALTH"
}

func (c *HTTPHealthCrawler) String() string {
	return "HTTP Health Crawler"
}

func (c *HTTPHealthCrawler) Auth(auth map[string]interface{}) error {
	return nil
}

func (c *HTTPHealthCrawler) Get(config *ocmsc.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() crawler.Crawler {
	c := &HTTPHealthCrawler{}
	c.SetMatcher(cnsmh.NewMatcher())
	return c
}
