package smtp

import (
	cnsms "git.loafle.net/commons/service_matcher-go/smtp"
	ocmsc "git.loafle.net/overflow/commons-go/model/sensorconfig"
	"git.loafle.net/overflow/container_network/crawler/health"
	crawler "git.loafle.net/overflow/crawler-go"
)

type SMTPHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *SMTPHealthCrawler) Key() string {
	return "SMTP_HEALTH"
}

func (c *SMTPHealthCrawler) String() string {
	return "SMTP Health Crawler"
}

func (c *SMTPHealthCrawler) Auth(auth map[string]interface{}) error {
	return nil
}

func (c *SMTPHealthCrawler) Get(config *ocmsc.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() crawler.Crawler {
	c := &SMTPHealthCrawler{}
	c.SetMatcher(cnsms.NewMatcher())
	return c
}
