package ssh

import (
	cnsms "git.loafle.net/commons/service_matcher-go/ssh"
	ocmsc "git.loafle.net/overflow/commons-go/model/sensorconfig"
	"git.loafle.net/overflow/container_network/crawler/health"
	crawler "git.loafle.net/overflow/crawler-go"
)

type SSHHealthCrawler struct {
	health.SocketHeahthCrawler
}

func (c *SSHHealthCrawler) Key() string {
	return "SSH_HEALTH"
}

func (c *SSHHealthCrawler) String() string {
	return "SSH Health Crawler"
}

func (c *SSHHealthCrawler) Auth(auth map[string]interface{}) error {
	return nil
}

func (c *SSHHealthCrawler) Get(config *ocmsc.SensorConfig) (map[string]string, error) {
	rss, err := c.CheckHeahth(config)
	if err != nil {
		return nil, err
	}
	return rss, nil
}

func NewCrawler() crawler.Crawler {
	c := &SSHHealthCrawler{}
	c.SetMatcher(cnsms.NewMatcher())
	return c
}
